Patch an Extension by id
Partially update an Extension. Absent fields are left unchanged.
Any mount points within any uiMountPointTypeConfig are upserted.
curl --request PATCH \
--url https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"appVersionId": "<string>",
"description": "<string>",
"enabled": true,
"name": "<string>",
"uiMountPointTypeConfigs": {}
}
'import requests
url = "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}"
payload = {
"appVersionId": "<string>",
"description": "<string>",
"enabled": True,
"name": "<string>",
"uiMountPointTypeConfigs": {}
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appVersionId: '<string>',
description: '<string>',
enabled: true,
name: '<string>',
uiMountPointTypeConfigs: {}
})
};
fetch('https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"enabled": true,
"id": "<string>",
"kind": "DominoOfficial",
"name": "<string>",
"totalViews": 123,
"uiMountPointTypeConfigs": {
"adminPanel": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"dataset": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"datasetFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"modelDetails": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolume": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"projectSidebar": {
"enabled": true,
"allProjects": true,
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"appVersionId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
The id of the Extension to patch.
Body
Request to patch an extension
The version of the App to associate the Extension with.
The description of the Extension.
Whether the Extension is globally enabled or disabled.
The name of the Extension.
Any mount points within any uiMountPointTypeConfig are upserted.
Show child attributes
Show child attributes
Response
Success
The id of the App to associate the Extension with.
The date and time when the Extension was created.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
Whether the Extension is globally enabled or disabled.
The id of the Extension.
The category of the Extension.
DominoOfficial, Uncategorized The name of the Extension.
The total number of views across all app versions.
The configuration for the UI mount points of the Extension. Each property corresponds to a different mount point in the Domino UI where the Extension can be mounted.
Show child attributes
Show child attributes
The date and time when the Extension was last updated.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
The version of the App to associate the Extension with.
The date and time when the Extension was deleted. If null, the Extension has not been deleted.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
The description of the Extension.
Related topics
Patch a Gen AI Endpoint versionExtensionsGet an Extension by idCreate and manage ExtensionsWas this page helpful?
